
clear all; close all;
colours=512;    % Set number of colours
% clf
figure(1);
anz=2;
rho_min=0;  rho_max=3;
% Read data
[fname,fpath]=uigetfile('*.*','Select the input file');
fin=dlmread([fpath fname],'',1,0);

c1 = round(fin(:,1)./10000);
c2 = fin(:,1)-(c1.*10000);
p1 = round(fin(:,2)./10000);
p2 = fin(:,2)-(p1.*10000);

c1=c1.*1.8; c2=c2.*1.8;
p1=p1.*1.8; p2=p2.*1.8;

% Prepare data for plotting
xscale=0;
zscale=0;
count=0;
c_avg=(c1+c2)./2;
p_avg=(p1+p2)./2;
k=abs(2*pi.*1./(1./(p1-c1)-1./(p2-c1)-1./(p1-c2)+1./(p2-c2)) );
posx=2.*c2+(p_avg-c_avg);
posz=(p_avg-c_avg);

xrange=1:max(posx);
zrange=1:max(posz);
rho=log10(4.*fin(:,3))';
x=[posx, posx, posx+2, posx+2]';
y=-[posz, posz+1, posz+1, posz]';
patch(x,y,rho,'edgecolor','none')

% caxis([ 0 3 ])
caxis([rho_min rho_max])
hold on;
cb=colorbar;
set(get(cb,'ylabel'),'String','apparent resistivity in log_{10}[\Omega m]');
ylabel('dipole-dipole separation factor in [1]');
xlabel('lateral coordinate in [m]');